using System;
class program
{
    static void Main(string[] args)
    {
        int q = int.Parse(Console.ReadLine());
        string[] s = Console.ReadLine().Split();
        int[] niz = new int[q];
        for (int i = 0; i < niz.Length; i++) niz[i] = int.Parse(s[i]);
        int n = int.Parse(Console.ReadLine());
        for (int i = 0; i < n; i++)
        {
            string[] s1 = Console.ReadLine().Split();
            int brojac = 0;
            for (int j = int.Parse(s1[0]) - 1; j <= int.Parse(s1[1]) - 1; j++)
            {
                int z = j + 1;
                while (z < int.Parse(s1[1]))
                {
                    if (niz[j] > niz[z])
                    {
                        brojac++;
                        z++;
                        break;
                    }
                    z++;
                }
                if (brojac > 1)
                {
                    Console.WriteLine("NE");
                    break;
                }
            }
            if (brojac <= 1)
            {
                Console.WriteLine("DA");
            }
        }
    }
}